Description

As stated in #6592 we might need a persistent name identifier.
TODO:

e Discuss if a persistent name identifier is needed?
¢ Defined the identifier schema

Related issues:
Related to PhycoBank - task #6610: The according pyhcobcankID should be used ... Rejected

History

#1 - 09/13/2017 12:30 PM - Andreas Kohlbecker

we could reuse the phycobankID as identifier for name by appending /name to it:
http://phycobank.org/1298390/name

#2 - 09/14/2017 01:59 PM - Andreas Kohlbecker

- Description updated
#3 - 09/14/2017 02:03 PM - Wolf-Henning Kusber
reuse of the ID is a good idea.
What about additional PhycoBankIDnumber/type if it is just a later typification?
#4 - 09/14/2017 02:11 PM - Andreas Kohlbecker
Andreas Kohlbecker wrote:
we could reuse the phycobankID as identifier for name by appending /name to it:
http://phycobank.org/1298390/name
Reusing the localld of the phycobankID could be less robust since the local id comes from a Registration which is associated with the name by a
toMany association: TaxonName 1------ >n Registration (re-)constructing the persistent identifier from the locallD is impossible if more than one
Registrations exist for the same name.
The appendix /name seems to indicate a property. This is seems also not optimal.
Better schemes for a name identifier would be:

http://phycobank.org/name/89980340
http://name.phycobank.org/89980340

#5 - 09/14/2017 02:14 PM - Andreas Kohlbecker

- Related to task #6610: The according pyhcobcankID should be used as namelnSourcelD for each name registered added

#6 - 05/28/2019 12:55 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100
